<template>
  <ul class="v-steps">
    <li
      v-for="n in total"
      :key="n"
      :class="{ 'v-step-passed': current > n, 'v-step-active': current === n }"
    />
  </ul>
</template>

<script>
export default {
  name: 'VSteps',
  model: {
    prop: 'current',
    event: 'input'
  },
  props: {
    current: { type: Number, default: 1 },
    total: { type: Number, default: 1 }
  }
}
</script>

<style scoped lang="scss">
@import '../../assets/sass/variables';
ul.v-steps {
  counter-reset: step;
  display: flex;
  width: 100%;
  justify-content: space-around;
  position: relative;
  padding: 10px 0;
  li {
    list-style-type: none;
    font-size: 12px;
    position: relative;
    text-align: center;
    text-transform: uppercase;
    color: #7d7d7d;
    flex-grow: 1;
    &:before {
      width: 24px;
      height: 24px;
      content: counter(step);
      counter-increment: step;
      line-height: 26px;
      display: block;
      text-align: center;
      margin: 0 auto;
      border-radius: 50%;
      background-color: #dee2e6;
      position: relative;
      z-index: 2;
    }
    &:after {
      width: 100%;
      height: 4px;
      content: '';
      position: absolute;
      background-color: #dee2e6;
      top: 50%;
      left: 0;
      z-index: 1;
      margin-top: -2px;
    }
    &:first-child:after {
      width: 50%;
    }
    &:last-child:after {
      width: 50%;
      left: 50%;
    }
    &.v-step-passed,
    &.v-step-active {
      color: white;
      &:before,
      &:after {
        background-color: $success;
      }
    }
  }
}
</style>
